package types

type MarriageReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}
type HomeServiceReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// RiskAssessment 查询请求结构
type RiskAssessmentReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// CompanyInfo 查询请求结构
type CompanyInfoReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// RentalInfo 查询请求结构
type RentalInfoReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// PreLoanBackgroundCheck 查询请求结构
type PreLoanBackgroundCheckReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}

// BackgroundCheck 查询请求结构
type BackgroundCheckReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
	Mobile string `json:"mobile" validate:"required,mobile"`
	Code   string `json:"code" validate:"required"`
}
type EntLawsuitReq struct {
	EntName string `json:"ent_name" validate:"required,name"`
	EntCode string `json:"ent_code" validate:"required,USCI"`
	Mobile  string `json:"mobile" validate:"required,mobile"`
	Code    string `json:"code" validate:"required"`
}
type PersonalLawsuitReq struct {
	Name   string `json:"name" validate:"required,name"`
	IDCard string `json:"id_card" validate:"required,idCard"`
}

type AgentQueryData struct {
	Mobile string `json:"mobile"`
	Code   string `json:"code"`
}
type AgentIdentifier struct {
	Product string `json:"product"`
	AgentID int64  `json:"agent_id"`
	Price   string `json:"price"`
}
